%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-gdata
Version:        1.3.1
Release:        2%{?dist}
Summary:        A Python module for accessing online Google services

Group:          Development/Languages
License:        ASL 2.0
URL:            http://code.google.com/p/gdata-python-client/
Source0:        http://gdata-python-client.googlecode.com/files/gdata-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://code.google.com/p/gdata-python-client/issues/detail?id=236
Patch0:         gdata-cryptomath_sha_deprecation.diff

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python >= 2.5

%description
This is a Python module for accessing online Google services, such as:
- Blogger
- Calendar
- Picasa Web Albums
- Spreadsheets
- YouTube
- Notebook

%prep
%setup -q -n gdata-%{version}

%patch0 -p1 -b .sha

%build
%{__python} setup.py build

chmod -x samples/*/*.py

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt RELEASE_NOTES.txt samples/
%{python_sitelib}/atom
%{python_sitelib}/gdata
%{python_sitelib}/gdata-%{version}-py*.egg-info


%changelog
* Wed Apr 29 2009 Bastien Nocera <bnocera@redhat.com> 1.3.1-2
- Fix deprecation warning (#492641)

* Fri Apr 24 2009 Bastien Nocera <bnocera@redhat.com> 1.3.1-1
- Update to 1.3.1

* Sun Mar 22 2009 - Bastien Nocera <bnocera@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 - Bastien Nocera <bnocera@redhat.com> - 1.2.4-1
- Update to 1.2.4

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.3-2
- Rebuild for Python 2.6

* Thu Dec 04 2008 - Bastien Nocera <bnocera@redhat.com> - 1.2.3-1
- Update to 1.2.3

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.2-2
- Rebuild for Python 2.6

* Wed Oct 22 2008 - Bastien Nocera <bnocera@redhat.com> - 1.2.2-1
- Update to 1.2.2 (#467563)

* Mon May 12 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.13-1
- Update to 1.0.13 (#446000)

* Tue Nov 13 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Sun Oct 21 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-3
- Remove CFLAGS from the make part, as there's no native compilation,
  spotted by Parag AN <panemade@gmail.com>

* Tue Oct 16 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-2
- Remove python-elementtree dep, it's builtin to Python 2.5
- Add samples to the docs, for documentation purposes
- Remove unneeded macro

* Fri Oct 12 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-1
- Initial RPM release
